=== debian/changelog ===
oem-pci-sunix-dkms (2.0.4.2somerville3) xenial; urgency=medium

  * Use KVER instead of the uname. (LP:#1656768, LP:#1655818)

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Tue, 24 Jan 2017 11:30:41 +0800

oem-pci-sunix-dkms (2.0.4.2somerville2) xenial; urgency=medium

  * Add multi-sunix cards supported workaround.

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 03 Oct 2016 18:29:54 +0800

oem-pci-sunix-dkms (2.0.4.2somerville1) xenial; urgency=medium

  * Add a workaround for suspend/resume.

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 19 Sep 2016 13:00:32 +0800

oem-pci-sunix-dkms (2.0.4.2) xenial; urgency=low

  * New release for 4.4 kernel.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 25 Aug 2016 11:54:08 +0800
