=== debian/control ===
Source: oem-pci-sunix-dkms
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases, libncurses5-dev (>= 5), libtinfo-dev (>= 5)
Standards-Version: 3.9.6

Package: oem-pci-sunix-dkms
Architecture: amd64
Depends: dkms (>= 1.95), libncurses5-dev (>= 5), libtinfo-dev (>= 5), ${misc:Depends}
Description: oem-pci-sunix driver in DKMS format.
XB-Modaliases: ${modaliases}
